%define stable_part 2.1.0
%define development_part rc1

Name:           cosign
Version:        %stable_part
Release:        0.%development_part%{?dist}
Summary:        Secure, Intra-Institutional Web Authentication

Group:          System Environment/Daemons
License:        MIT?
URL:            http://www.umich.edu/~umweb/software/cosign/
Source0:        http://download.sourceforge.net/sourceforge/%name/%name-%version%development_part.tar.gz
Patch1:		cosign-sasl2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  httpd-devel, cyrus-sasl-devel, openssl-devel
#Requires:       

%description
An open source project originally designed to provide the University of
Michigan with a secure single sign-on web authentication system. cosign is
part of the National Science Foundation Middleware Initiative (NMI) EDIT
software release.


%prep
%setup -q -n %name-%version%development_part
%patch1 -p1


%build
%configure --enable-apache2=%{_sbindir}/apxs
cd libsnet
%configure
cd ..
make %{?_smp_mflags} everything
chmod -x LICENSE VERSION README*


%install
rm -rf $RPM_BUILD_ROOT
LIBEXECDIR=$RPM_BUILD_ROOT/`apxs -q LIBEXECDIR`
mkdir -p $LIBEXECDIR
make install-all DESTDIR=$RPM_BUILD_ROOT \
  APXS2="apxs -S LIBEXECDIR=$LIBEXECDIR" \
  prefix=$RPM_BUILD_ROOT/%{_prefix} \
  CGIDIR=$RPM_BUILD_ROOT/%{_var}/www/cgi-bin \
  SBINDIR=$RPM_BUILD_ROOT/%{_sbindir} \
  MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
  TMPLDIR=$RPM_BUILD_ROOT/%{_var}/www/cosign/templates \
  HTMLDIR=$RPM_BUILD_ROOT/%{_var}/www/cosign/html \
  SERVICESDIR=$RPM_BUILD_ROOT/%{_var}/www/cosign/services


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README* VERSION
%dir %{_var}/www/cosign
%dir %{_var}/www/cosign/templates
%dir %{_var}/www/cosign/html
%dir %{_var}/www/cosign/services
%{_var}/www/cosign/templates/*
%{_var}/www/cosign/html/*
%{_var}/www/cosign/services/*
%{_var}/www/cgi-bin/*
%{_sbindir}/*
%{_mandir}/*/*
%{_libdir}/httpd/modules/*.so


%changelog
* Fri Nov 7 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
- initial release
